<?php

namespace Drupal\colorbox_entity_display\PathProcessor;

use Drupal\Core\PathProcessor\InboundPathProcessorInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * Path processor to convert an entity's alias into its canonical path.
 */
class EntityLoadPathProcessor implements InboundPathProcessorInterface {

  /**
   * {@inheritdoc}
   */
  public function processInbound($path, Request $request) {
    if (strpos($path, '/colorbox-entity-display/entity-load/') === 0) {
      $entity_path = preg_replace('|^\/colorbox-entity-display\/entity-load\/|', '', $path);
      $entity_path = str_replace('/', ':', $entity_path);
      return "/colorbox-entity-display/entity-load/$entity_path";
    }
    return $path;
  }

}
